
#include <glade/glade.h>
#include <gdk/gdk.h>
#include <gtk/gtkadjustment.h>
#include <gtk/gtkwidget.h>
#include <gtk/gtkmain.h>
#include <gtk/gtksignal.h>
#include <gtk/gtk.h>
#include <pthread.h>
#include <string.h>
#include <X11/extensions/XTest.h>
#include <termios.h> 
#include <errno.h>
#include <malloc.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#define N_BUTTONS 400

GladeXML *xml;
static  GtkWidget *win_window;
static  GtkWidget *win_button[N_BUTTONS+1];
static  GtkWidget *win_momentary1;

static void toggle_source_press(GtkWidget* widget, void * button_data )
{
   int k;
      gtk_widget_queue_draw(win_window);
   for (k=1; k<N_BUTTONS; k++)
   {

      gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(win_button[k]),!gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(win_button[k])));
   }
   
}
static void toggle_expose(GtkWidget* button_data, void * button_d )
{
   printf("exosed\n");
   
}


int main (int argc, char* argv[])
{
   int k;
   char widget_name[50];
   g_thread_init(NULL);
   gdk_threads_init();
   gtk_init(&argc, &argv);
   xml = glade_xml_new ("UI.glade", NULL, NULL);
   for (k=1; k<N_BUTTONS; k++)
   {
      sprintf(widget_name, "togglebutton%d", k);
      win_button[k] = glade_xml_get_widget (xml, widget_name);
   }

   win_momentary1 = glade_xml_get_widget (xml, "button1");
   g_signal_connect(GTK_BUTTON(win_momentary1), "clicked", G_CALLBACK(toggle_source_press), NULL);
   win_window = glade_xml_get_widget (xml, "window1");
   gtk_window_present(GTK_WINDOW(win_window));
   gdk_threads_enter();
   gtk_main();

   gdk_threads_leave();

   return 0;
}
